Company lists
Get Companies In A List
GET
Bearerheader
AuthorizationBearer <token>list_id
integerrequiredorder_by
stringdefault: "revealed_at"
Order by field
- revealed_at
- name
order_direction
stringdefault: "desc"
Order direction
- asc
- desc
company_name_partial
stringPass a partial company name to filter the list of companies
limit
integer1 <= valuedefault: 25
Number of results per page
page
integer0 <= valuedefault: 0
Page number. Required when using page-based pagination.
offset
integer0 <= valuedefault: 0
Number of results to skip. Required for offset-based pagination.
Successful Response
application/json- itemsobject
curl -X GET 'https://api.theirstack.com/v0/company_lists/0/companies'[ { "added_at": "2019-08-24T14:15:22Z", "company_name": "string", "company_object": { "alexa_ranking": 1, "annual_revenue_usd": 189000000, "annual_revenue_usd_readable": "189M", "apollo_id": "5b839bd0324d4445051f9a5a", "city": "Mountain View", "company_keywords": [ "string" ], "company_tags": [], "country": "United States", "country_code": "string", "domain": "google.com", "employee_count": 7543, "employee_count_range": "1001-5000", "founded_year": 2019, "funding_stage": "angel", "has_blurred_data": false, "id": "google", "industry": "internet", "industry_id": 0, "investors": [ "string" ], "is_recruiting_agency": true, "keyword_slugs": [ "kafka", "elasticsearch", "lead-generation" ], "last_funding_round_amount_readable": "$1.2M", "last_funding_round_date": "2020-01-01", "linkedin_id": "string", "linkedin_url": "http://www.linkedin.com/company/google", "logo": "https://example.com/logo.png", "long_description": "Google is a California-based multinational technology company that offers internet-related services such as a search engine, online advertising and cloud computing.", "name": "Google", "num_buying_intent_topics": 0, "num_jobs": 746, "num_jobs_found": 23, "num_jobs_last_30_days": 34, "num_keywords": 0, "num_technologies": 746, "possible_domains": [], "postal_code": "28040", "publicly_traded_exchange": "NASDAQ", "publicly_traded_symbol": "GOOG", "seo_description": "string", "technology_names": [ "Kafka", "Elasticsearch" ], "technology_slugs": [ "kafka", "elasticsearch" ], "total_funding_usd": 500000, "url": "google.com", "url_source": "string", "yc_batch": "W21" }, "revealed_at": "2019-08-24T14:15:22Z" }]How is this guide?
Last updated on
Export Companies From List GET
Export companies from a saved list to a downloadable CSV or XLSX file. The export includes company details such as domain, industry, size, location, funding, and revenue data for offline analysis.
List All Lists GET
Retrieve all company lists for the current team including list name, company count, and creation date. Use company lists to organize and segment companies for targeted outreach and analysis.
